---
title: Create a Zone Lockdown rule
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/go)

[Firewall](https://developers.cloudflare.com/api/go/resources/firewall)

[Lockdowns](https://developers.cloudflare.com/api/go/resources/firewall/subresources/lockdowns)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Create a Zone Lockdown rule

client.Firewall.Lockdowns.New(ctx, params) (\*[Lockdown](<https://developers.cloudflare.com/api/go/resources/firewall#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)>), error)

POST/zones/{zone\_id}/firewall/lockdowns

Creates a new Zone Lockdown rule.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Firewall Services Write`

##### ParametersExpand Collapse

<details>

<summary>

params LockdownNewParams

</summary>

ZoneID param.Field\[string]

Path param: Defines an identifier.

maxLength32

<a href="#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20zone_id">Link to this property</a>

Configurations param.Field\[<a href="https://developers.cloudflare.com/api/go/resources/firewall#(resource)%20firewall.lockdowns%20%3E%20(model)%20configuration%20%3E%20(schema)">Configuration</a>]

Body param: A list of IP addresses or CIDR ranges that will be allowed to access the URLs specified in the Zone Lockdown rule. You can include any number of <code>ip</code> or <code>ip_range</code> configurations.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20configurations">Link to this property</a>

URLs param.Field\[\[]<a href="https://developers.cloudflare.com/api/go/resources/firewall#(resource)%20firewall.waf.overrides%20%3E%20(model)%20override_url%20%3E%20(schema)">OverrideURL</a>]

Body param: The URLs to include in the current WAF override. You can use wildcards. Each entered URL will be escaped before use, which means you can only use simple wildcard patterns.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20urls">Link to this property</a>

Description param.Field\[string]Optional

Body param: An informative summary of the rule. This value is sanitized and any tags will be removed.

maxLength1024

<a href="#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20description">Link to this property</a>

Paused param.Field\[bool]Optional

Body param: When true, indicates that the rule is currently paused.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20paused">Link to this property</a>

Priority param.Field\[float64]Optional

Body param: The priority of the rule to control the processing order. A lower number indicates higher priority. If not provided, any rules with a configured priority will be processed before rules without a priority.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default%20%3E%20(param)%20priority">Link to this property</a>

</details>

[Link to this property](<#(resource)%20firewall.lockdowns%20%3E%20(method)%20create%20%3E%20(params)%20default>)

##### ReturnsExpand Collapse

<details>

<summary>

type Lockdown struct{…}

</summary>

ID string

The unique identifier of the Zone Lockdown rule.

maxLength32

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20id">Link to this property</a>

<details>

<summary>

Configurations <a href="https://developers.cloudflare.com/api/go/resources/firewall#(resource)%20firewall.lockdowns%20%3E%20(model)%20configuration%20%3E%20(schema)">Configuration</a>

A list of IP addresses or CIDR ranges that will be allowed to access the URLs specified in the Zone Lockdown rule. You can include any number of <code>ip</code> or <code>ip_range</code> configurations.

</summary>

One of the following:

<details>

<summary>

type LockdownIPConfiguration struct{…}

</summary>

Target LockdownIPConfigurationTargetOptional

The configuration target. You must set the target to <code>ip</code> when specifying an IP address in the Zone Lockdown rule.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations%20%2B%20(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_ip_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IP address to match. This address will be compared to the IP address of incoming requests.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations%20%2B%20(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_ip_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations%20%2B%20(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_ip_configuration%20%3E%20(schema)">Link to this property</a>

<details>

<summary>

type LockdownCIDRConfiguration struct{…}

</summary>

Target LockdownCIDRConfigurationTargetOptional

The configuration target. You must set the target to <code>ip_range</code> when specifying an IP address range in the Zone Lockdown rule.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations%20%2B%20(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_cidr_configuration%20%3E%20(schema)%20%3E%20(property)%20target">Link to this property</a>

Value stringOptional

The IP address range to match. You can only use prefix lengths <code>/16</code> and <code>/24</code>.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations%20%2B%20(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_cidr_configuration%20%3E%20(schema)%20%3E%20(property)%20value">Link to this property</a>

</details>

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations%20%2B%20(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_cidr_configuration%20%3E%20(schema)">Link to this property</a>

</details>

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20configurations">Link to this property</a>

CreatedOn Time

The timestamp of when the rule was created.

formatdate-time

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

Description string

An informative summary of the rule.

maxLength1024

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20description">Link to this property</a>

ModifiedOn Time

The timestamp of when the rule was last modified.

formatdate-time

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20modified_on">Link to this property</a>

Paused bool

When true, indicates that the rule is currently paused.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20paused">Link to this property</a>

URLs \[]<a href="https://developers.cloudflare.com/api/go/resources/firewall#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown_url%20%3E%20(schema)">LockdownURL</a>

The URLs to include in the rule definition. You can use wildcards. Each entered URL will be escaped before use, which means you can only use simple wildcard patterns.

<a href="#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)%20%3E%20(property)%20urls">Link to this property</a>

</details>

[Link to this property](<#(resource)%20firewall.lockdowns%20%3E%20(model)%20lockdown%20%3E%20(schema)>)

### Create a Zone Lockdown rule

Go

HTTPTypeScriptPythonGoTerraform

```
package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/firewall"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  lockdown, err := client.Firewall.Lockdowns.New(context.TODO(), firewall.LockdownNewParams{
    ZoneID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    Configurations: cloudflare.F(firewall.ConfigurationParam{firewall.LockdownIPConfigurationParam{

    }}),
    URLs: cloudflare.F([]firewall.OverrideURLParam{"shop.example.com/*"}),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", lockdown.ID)
}
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configurations": [
      {
        "target": "ip",
        "value": "198.51.100.4"
      }
    ],
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Restrict access to these endpoints to requests from a known IP address",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "paused": false,
    "urls": [
      "api.mysite.com/some/endpoint*"
    ]
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "result": {
    "id": "372e67954025e0ba6aaa6d586b9e0b59",
    "configurations": [
      {
        "target": "ip",
        "value": "198.51.100.4"
      }
    ],
    "created_on": "2014-01-01T05:20:00.12345Z",
    "description": "Restrict access to these endpoints to requests from a known IP address",
    "modified_on": "2014-01-01T05:20:00.12345Z",
    "paused": false,
    "urls": [
      "api.mysite.com/some/endpoint*"
    ]
  },
  "success": true
}
```